<?php

namespace App\Admin\Actions\backstage\Coupon;

use Encore\Admin\Actions\Action;
use Illuminate\Http\Request;

class CouponDistributions extends Action
{
    protected $selector = '.coupon-distributions';
    public function handle(Request $request)
    {
        // $request ...

        return $this->response()->success('跳转优惠券发放列表成功')->redirect('/admin/coupon_distribution_user_list');
    }
    public function html()
    {
        return <<<HTML
        <a class="btn btn-sm btn-default coupon-distributions">优惠券发放</a>
HTML;
    }
}